function [ D ] = initdic(x,y,p)
%funkce pro vytvoreni inicializacniho slovniku
% x - radky, y - sloupce, p - parametr
% 1 - nahodna cisla, 2 - harmonicke
D = zeros(x,y);
switch p
    case 1
         D = random('Normal',0,1,x,y);

    case 2
         if x<y
            D = dctmtx(y);
            D=D';
            D0=zeros(x,y);
            for i = 1:x
                D0(i,:)=D(i,:);
            end
            D=D0;
            
         elseif x>y
            D = dctmtx(x);
            D=D';
            t=x-y;
            for i = 1:t
                D(:,end-0:end)= [];
            end
            D;    
         else x=y    
             D = dctmtx(x);
             D=D';
         end
end

